# $Revision: 1.22 $, $Date: 2010/10/30 07:20:42 $
Summary:	Composite extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia Composite
Name:		xorg-proto-compositeproto
Version:	0.4.2
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/compositeproto-%{version}.tar.bz2
# Source0-md5:	98482f65ba1e74a08bf5b056a4031ef0
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Composite extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzenia Composite.

%package devel
Summary:	Composite extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia Composite
Group:		X11/Development/Libraries
Requires:	xorg-proto-fixesproto-devel
Obsoletes:	compositeext

%description devel
Composite extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia Composite.

%prep
%setup -q -n compositeproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README compositeproto.txt
%{_includedir}/X11/extensions/composite*.h
%{_pkgconfigdir}/compositeproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-compositeproto.spec,v $
Revision 1.22  2010/10/30 07:20:42  qboosh
- updated to 0.4.2

Revision 1.21  2009/10/03 21:04:14  qboosh
- util-macros version

Revision 1.20  2009/10/03 06:48:02  arekm
- up to 0.4.1

Revision 1.19  2007/07/04 23:26:00  qboosh
- Composite is an extension
- more docs

Revision 1.18  2007/07/04 20:15:08  arekm
- up to 0.4

Revision 1.17  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.15  2006/04/08 16:57:07  arekm
- up to 0.3.1

Revision 1.14  2006/03/16 16:58:16  freetz
- 0.3

Revision 1.13  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.12  2005/12/22 12:52:48  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/19 15:42:33  qboosh
- pkgconfig not buildrequired here

Revision 1.10  2005/12/19 15:34:11  qboosh
- 0.2.2 (X11R7.0-RC4)

Revision 1.9  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.8  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.7  2005/10/20 11:16:05  qboosh
- R: xorg-proto-fixesproto-devel (<X11/extensions/xfixeswire.h>)

Revision 1.6  2005/10/20 11:12:19  qboosh
- 0.2.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:32:50  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.3  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.2  2005/08/17 20:16:28  qboosh
- Obsoletes for old xlibs packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Thu Aug 11 2005 12:40:45  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix}
- release 0.02

* Fri Aug  5 2005 09:36:49  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
